# posix_setgid

(PHP 4, PHP 5, PHP 7)

posix_setgid — Set the GID of the current process

### Description

posix_setgid ( int `$gid` ) : bool

Set the real group ID of the current process. This is a privileged function and needs appropriate privileges (usually root) on the system to be able to perform this function. The appropriate order of function calls is posix_setgid() first, posix_setuid() last.

> Note:

> If the caller is a super user, this will also set the effective group id.

### Parameters

`gid`

  The group id.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 posix_setgid() example

This example will print out the effective group id, once it is changed.

`<?php
echo 'My real group id is '.posix_getgid(); //20
posix_setgid(40);
echo 'My real group id is '.posix_getgid(); //40
echo 'My effective group id is '.posix_getegid(); //40
?>`

### See Also

- posix_getgrgid() - Return info about a group by group id
- posix_getgid() - Return the real group ID of the current process